/*
  EightyOne - A simple Sudoku solving game
  Copyright (C) 2008  Tim Teulings

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <Lum/Dlg/ActionDialog.h>

#include "Sudoku.h"

class StatisticsDialog : public Lum::Dlg::ActionDialog
{
private:
  Sudoku game;
  Sudoku riddle;
  Sudoku solution;

public:
  StatisticsDialog(const Sudoku& game, const Sudoku& riddle, const Sudoku& solution);
  ~StatisticsDialog();

  Lum::Object* GetContent();
  void GetActions(std::vector<Lum::Dlg::ActionInfo>& actions);

  static void Show(Lum::OS::Window* parent,
                   const Sudoku& game,
                   const Sudoku& riddle,
                   const Sudoku& solution);
};
